Index: uspace/lib/net/tl/icmp_remote.c
===================================================================
--- uspace/lib/net/tl/icmp_remote.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/tl/icmp_remote.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -57,7 +57,7 @@
  * @param[in] mtu	The error MTU value.
  * @param[in] packet	The original packet.
- * @returns		EOK on success.
- * @returns		EPERM if the ICMP error notifications are disabled.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		EOK on success.
+ * @return		EPERM if the ICMP error notifications are disabled.
+ * @return		ENOMEM if there is not enough memory left.
  */
 int
@@ -78,7 +78,7 @@
  * @param[in] icmp_phone The ICMP module phone used for (semi)remote calls.
  * @param[in] packet	The original packet.
- * @returns		EOK on success.
- * @returns		EPERM if the ICMP error notifications are disabled.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		EOK on success.
+ * @return		EPERM if the ICMP error notifications are disabled.
+ * @return		ENOMEM if there is not enough memory left.
  */
 int icmp_source_quench_msg(int icmp_phone, packet_t packet)
@@ -98,7 +98,7 @@
  * @param[in] code	The error specific code.
  * @param[in] packet	The original packet.
- * @returns		EOK on success.
- * @returns		EPERM if the ICMP error notifications are disabled.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		EOK on success.
+ * @return		EPERM if the ICMP error notifications are disabled.
+ * @return		ENOMEM if there is not enough memory left.
  */
 int icmp_time_exceeded_msg(int icmp_phone, icmp_code_t code, packet_t packet)
@@ -119,7 +119,7 @@
  * @param[in] pointer	The problematic parameter offset.
  * @param[in] packet	The original packet.
- * @returns		EOK on success.
- * @returns		EPERM if the ICMP error notifications are disabled.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		EOK on success.
+ * @return		EPERM if the ICMP error notifications are disabled.
+ * @return		ENOMEM if there is not enough memory left.
  */
 int icmp_parameter_problem_msg(int icmp_phone, icmp_code_t code,
Index: uspace/lib/net/tl/socket_core.c
===================================================================
--- uspace/lib/net/tl/socket_core.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/tl/socket_core.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -68,5 +68,5 @@
 INT_MAP_IMPLEMENT(socket_cores, socket_core_t);
 
-GENERIC_CHAR_MAP_IMPLEMENT(socket_port_map, socket_core_ref);
+GENERIC_CHAR_MAP_IMPLEMENT(socket_port_map, socket_core_t *);
 
 INT_MAP_IMPLEMENT(socket_ports, socket_port_t);
@@ -85,7 +85,7 @@
  */
 static void
-socket_destroy_core(int packet_phone, socket_core_ref socket,
-    socket_cores_ref local_sockets, socket_ports_ref global_sockets,
-    void (* socket_release)(socket_core_ref socket))
+socket_destroy_core(int packet_phone, socket_core_t *socket,
+    socket_cores_t *local_sockets, socket_ports_t *global_sockets,
+    void (* socket_release)(socket_core_t *socket))
 {
 	int packet_id;
@@ -121,7 +121,7 @@
  */
 void
-socket_cores_release(int packet_phone, socket_cores_ref local_sockets,
-    socket_ports_ref global_sockets,
-    void (* socket_release)(socket_core_ref socket))
+socket_cores_release(int packet_phone, socket_cores_t *local_sockets,
+    socket_ports_t *global_sockets,
+    void (* socket_release)(socket_core_t *socket))
 {
 	int index;
@@ -156,12 +156,12 @@
  * @param[in] key	The socket key identifier.
  * @param[in] key_length The socket key length.
- * @returns		EOK on success.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		EOK on success.
+ * @return		ENOMEM if there is not enough memory left.
  */
 static int
-socket_port_add_core(socket_port_ref socket_port, socket_core_ref socket,
+socket_port_add_core(socket_port_t *socket_port, socket_core_t *socket,
     const char *key, size_t key_length)
 {
-	socket_core_ref *socket_ref;
+	socket_core_t **socket_ref;
 	int rc;
 
@@ -194,14 +194,14 @@
  * @param[in] socket	The socket to be added.
  * @param[in] port	The port number to be bound to.
- * @returns		EOK on success.
- * @returns		ENOMEM if there is not enough memory left.
- * @returns		Other error codes as defined for the
+ * @return		EOK on success.
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		Other error codes as defined for the
  *			 socket_ports_add() function.
  */
 static int
-socket_bind_insert(socket_ports_ref global_sockets, socket_core_ref socket,
+socket_bind_insert(socket_ports_t *global_sockets, socket_core_t *socket,
     int port)
 {
-	socket_port_ref socket_port;
+	socket_port_t *socket_port;
 	int rc;
 
@@ -248,20 +248,20 @@
  * @param[in] free_ports_end The maximum free port.
  * @param[in] last_used_port The last used free port.
- * @returns		EOK on success.
- * @returns		ENOTSOCK if the socket was not found.
- * @returns		EAFNOSUPPORT if the address family is not supported.
- * @returns		EADDRINUSE if the port is already in use.
- * @returns		Other error codes as defined for the
+ * @return		EOK on success.
+ * @return		ENOTSOCK if the socket was not found.
+ * @return		EAFNOSUPPORT if the address family is not supported.
+ * @return		EADDRINUSE if the port is already in use.
+ * @return		Other error codes as defined for the
  *			socket_bind_free_port() function.
- * @returns		Other error codes as defined for the
+ * @return		Other error codes as defined for the
  *			socket_bind_insert() function.
  */
 int
-socket_bind(socket_cores_ref local_sockets, socket_ports_ref global_sockets,
+socket_bind(socket_cores_t *local_sockets, socket_ports_t *global_sockets,
     int socket_id, void *addr, size_t addrlen, int free_ports_start,
     int free_ports_end, int last_used_port)
 {
-	socket_core_ref socket;
-	socket_port_ref socket_port;
+	socket_core_t *socket;
+	socket_port_t *socket_port;
 	struct sockaddr *address;
 	struct sockaddr_in *address_in;
@@ -322,11 +322,11 @@
  * @param[in] free_ports_end The maximum free port.
  * @param[in] last_used_port The last used free port.
- * @returns		EOK on success.
- * @returns		ENOTCONN if no free port was found.
- * @returns		Other error codes as defined for the
+ * @return		EOK on success.
+ * @return		ENOTCONN if no free port was found.
+ * @return		Other error codes as defined for the
  *			socket_bind_insert() function.
  */
 int
-socket_bind_free_port(socket_ports_ref global_sockets, socket_core_ref socket,
+socket_bind_free_port(socket_ports_t *global_sockets, socket_core_t *socket,
     int free_ports_start, int free_ports_end, int last_used_port)
 {
@@ -367,8 +367,8 @@
  *			requested. A negative identifier is requested if set to
  *			false.
- * @returns		The new socket identifier.
- * @returns		ELIMIT if there is no socket identifier available.
- */
-static int socket_generate_new_id(socket_cores_ref local_sockets, int positive)
+ * @return		The new socket identifier.
+ * @return		ELIMIT if there is no socket identifier available.
+ */
+static int socket_generate_new_id(socket_cores_t *local_sockets, int positive)
 {
 	int socket_id;
@@ -410,13 +410,13 @@
  *			chosen if set to zero or negative. A negative identifier
  *			is chosen if set to negative.
- * @returns		EOK on success.
- * @returns		EINVAL if the socket_id parameter is NULL.
- * @returns		ENOMEM if there is not enough memory left.
+ * @return		EOK on success.
+ * @return		EINVAL if the socket_id parameter is NULL.
+ * @return		ENOMEM if there is not enough memory left.
  */
 int
-socket_create(socket_cores_ref local_sockets, int app_phone,
+socket_create(socket_cores_t *local_sockets, int app_phone,
     void *specific_data, int *socket_id)
 {
-	socket_core_ref socket;
+	socket_core_t *socket;
 	int positive;
 	int rc;
@@ -437,5 +437,5 @@
 	}
 	
-	socket = (socket_core_ref) malloc(sizeof(*socket));
+	socket = (socket_core_t *) malloc(sizeof(*socket));
 	if (!socket)
 		return ENOMEM;
@@ -482,13 +482,13 @@
  * @param[in,out] global_sockets The global sockets to be updated.
  * @param[in] socket_release The client release callback function.
- * @returns		EOK on success.
- * @returns		ENOTSOCK if the socket is not found.
+ * @return		EOK on success.
+ * @return		ENOTSOCK if the socket is not found.
  */
 int
-socket_destroy(int packet_phone, int socket_id, socket_cores_ref local_sockets,
-    socket_ports_ref global_sockets,
-    void (*socket_release)(socket_core_ref socket))
-{
-	socket_core_ref socket;
+socket_destroy(int packet_phone, int socket_id, socket_cores_t *local_sockets,
+    socket_ports_t *global_sockets,
+    void (*socket_release)(socket_core_t *socket))
+{
+	socket_core_t *socket;
 	int accepted_id;
 
@@ -516,8 +516,8 @@
  * @param[in] packet	The packet to be transfered.
  * @param[out] length	The total data length.
- * @returns		EOK on success.
- * @returns		EBADMEM if the length parameter is NULL.
- * @returns		ENOMEM if there is not enough memory left.
- * @returns		Other error codes as defined for the data_reply()
+ * @return		EOK on success.
+ * @return		EBADMEM if the length parameter is NULL.
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		Other error codes as defined for the data_reply()
  *			function.
  */
@@ -598,13 +598,13 @@
  * @param[in] key	The socket key identifier.
  * @param[in] key_length The socket key length.
- * @returns		The found socket.
- * @returns		NULL if no socket was found.
- */
-socket_core_ref
-socket_port_find(socket_ports_ref global_sockets, int port, const char *key,
+ * @return		The found socket.
+ * @return		NULL if no socket was found.
+ */
+socket_core_t *
+socket_port_find(socket_ports_t *global_sockets, int port, const char *key,
     size_t key_length)
 {
-	socket_port_ref socket_port;
-	socket_core_ref *socket_ref;
+	socket_port_t *socket_port;
+	socket_core_t **socket_ref;
 
 	socket_port = socket_ports_find(global_sockets, port);
@@ -628,8 +628,8 @@
  */
 void
-socket_port_release(socket_ports_ref global_sockets, socket_core_ref socket)
-{
-	socket_port_ref socket_port;
-	socket_core_ref *socket_ref;
+socket_port_release(socket_ports_t *global_sockets, socket_core_t *socket)
+{
+	socket_port_t *socket_port;
+	socket_core_t **socket_ref;
 
 	if (!socket->port)
@@ -673,14 +673,14 @@
  * @param[in] key	The socket key identifier.
  * @param[in] key_length The socket key length.
- * @returns		EOK on success.
- * @returns		ENOENT if the port is not already used.
- * @returns		Other error codes as defined for the
+ * @return		EOK on success.
+ * @return		ENOENT if the port is not already used.
+ * @return		Other error codes as defined for the
  *			socket_port_add_core() function.
  */
 int
-socket_port_add(socket_ports_ref global_sockets, int port,
-    socket_core_ref socket, const char *key, size_t key_length)
-{
-	socket_port_ref socket_port;
+socket_port_add(socket_ports_t *global_sockets, int port,
+    socket_core_t *socket, const char *key, size_t key_length)
+{
+	socket_port_t *socket_port;
 	int rc;
 
Index: uspace/lib/net/tl/tl_common.c
===================================================================
--- uspace/lib/net/tl/tl_common.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/net/tl/tl_common.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -64,8 +64,8 @@
  * @param[in] addrlen	The address length.
  * @param[out] port	The set port.
- * @returns		EOK on success.
- * @returns		EINVAL if the address length does not match the address
+ * @return		EOK on success.
+ * @return		EINVAL if the address length does not match the address
  *			family.
- * @returns		EAFNOSUPPORT if the address family is not supported.
+ * @return		EAFNOSUPPORT if the address family is not supported.
  */
 int
@@ -120,6 +120,6 @@
 int
 tl_get_ip_packet_dimension(int ip_phone,
-    packet_dimensions_ref packet_dimensions, device_id_t device_id,
-    packet_dimension_ref *packet_dimension)
+    packet_dimensions_t *packet_dimensions, device_id_t device_id,
+    packet_dimension_t **packet_dimension)
 {
 	int rc;
@@ -158,12 +158,12 @@
  * @param[in] device_id	The device identifier.
  * @param[in] content	The new maximum content size.
- * @returns		EOK on success.
+ * @return		EOK on success.
  * @return		ENOENT if the packet dimension is not cached.
  */
 int
-tl_update_ip_packet_dimension(packet_dimensions_ref packet_dimensions,
+tl_update_ip_packet_dimension(packet_dimensions_t *packet_dimensions,
     device_id_t device_id, size_t content)
 {
-	packet_dimension_ref packet_dimension;
+	packet_dimension_t *packet_dimension;
 
 	packet_dimension = packet_dimensions_find(packet_dimensions, device_id);
@@ -196,8 +196,8 @@
  * @param[in] addrlen	The address length.
  * @param[in] port	The port to be set.
- * @returns		EOK on success.
- * @returns		EINVAL if the address length does not match the address
+ * @return		EOK on success.
+ * @return		EINVAL if the address length does not match the address
  *			family.
- * @returns		EAFNOSUPPORT if the address family is not supported.
+ * @return		EAFNOSUPPORT if the address family is not supported.
  */
 int tl_set_address_port(struct sockaddr * addr, int addrlen, uint16_t port)
@@ -244,6 +244,6 @@
  * @param[in] error	The packet error reporting service. Prefixes the
  *			received packet.
- * @returns		EOK on success.
- * @returns		ENOENT if no packet may be sent.
+ * @return		EOK on success.
+ * @return		ENOENT if no packet may be sent.
  */
 int
@@ -280,13 +280,13 @@
  * @param[in] addr	The destination address.
  * @param[in] addrlen	The address length.
- * @returns		Number of bytes received.
- * @returns		EINVAL if the client does not send data.
- * @returns		ENOMEM if there is not enough memory left.
- * @returns		Other error codes as defined for the
+ * @return		Number of bytes received.
+ * @return		EINVAL if the client does not send data.
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		Other error codes as defined for the
  *			async_data_read_finalize() function.
  */
 int
-tl_socket_read_packet_data(int packet_phone, packet_ref packet, size_t prefix,
-    const packet_dimension_ref dimension, const struct sockaddr *addr,
+tl_socket_read_packet_data(int packet_phone, packet_t *packet, size_t prefix,
+    const packet_dimension_t *dimension, const struct sockaddr *addr,
     socklen_t addrlen)
 {
Index: uspace/lib/packet/generic/packet_server.c
===================================================================
--- uspace/lib/packet/generic/packet_server.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/packet/generic/packet_server.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -103,5 +103,5 @@
 };
 
-int packet_translate_local(int phone, packet_ref packet, packet_id_t packet_id)
+int packet_translate_local(int phone, packet_t *packet, packet_id_t packet_id)
 {
 	if (!packet)
@@ -154,6 +154,6 @@
  * @param[in] max_content The maximal content length in bytes.
  * @param[in] max_suffix The maximal suffix length in bytes.
- * @returns		The packet of dimensions at least as given.
- * @returns		NULL if there is not enough memory left.
+ * @return		The packet of dimensions at least as given.
+ * @return		NULL if there is not enough memory left.
  */
 static packet_t
@@ -278,6 +278,6 @@
  *
  * @param[in] packet_id	The first packet identifier.
- * @returns		EOK on success.
- * @returns		ENOENT if there is no such packet.
+ * @return		EOK on success.
+ * @return		ENOENT if there is no such packet.
  */
 static int packet_release_wrapper(packet_id_t packet_id)
@@ -303,9 +303,9 @@
 /** Shares the packet memory block.
  * @param[in] packet	The packet to be shared.
- * @returns		EOK on success.
- * @returns		EINVAL if the packet is not valid.
- * @returns		EINVAL if the calling module does not accept the memory.
- * @returns		ENOMEM if the desired and actual sizes differ.
- * @returns		Other error codes as defined for the
+ * @return		EOK on success.
+ * @return		EINVAL if the packet is not valid.
+ * @return		EINVAL if the calling module does not accept the memory.
+ * @return		ENOMEM if the desired and actual sizes differ.
+ * @return		Other error codes as defined for the
  *			async_share_in_finalize() function.
  */
@@ -339,10 +339,10 @@
  * @param[out] answer_count The last parameter for the actual answer in the
  *			answer parameter.
- * @returns		EOK on success.
- * @returns		ENOMEM if there is not enough memory left.
- * @returns		ENOENT if there is no such packet as in the packet
+ * @return		EOK on success.
+ * @return		ENOMEM if there is not enough memory left.
+ * @return		ENOENT if there is no such packet as in the packet
  *			message parameter.
- * @returns		ENOTSUP if the message is not known.
- * @returns		Other error codes as defined for the
+ * @return		ENOTSUP if the message is not known.
+ * @return		Other error codes as defined for the
  *			packet_release_wrapper() function.
  */
Index: uspace/lib/packet/include/packet_local.h
===================================================================
--- uspace/lib/packet/include/packet_local.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/lib/packet/include/packet_local.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -43,5 +43,5 @@
 /*@{*/
 
-extern int packet_translate_local(int, packet_ref, packet_id_t);
+extern int packet_translate_local(int, packet_t *, packet_id_t);
 extern packet_t packet_get_4_local(int, size_t, size_t, size_t, size_t);
 extern packet_t packet_get_1_local(int, size_t);
Index: uspace/srv/bd/ata_bd/ata_bd.c
===================================================================
--- uspace/srv/bd/ata_bd/ata_bd.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/bd/ata_bd/ata_bd.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -139,5 +139,5 @@
 		
 		snprintf(name, 16, "%s/disk%d", NAMESPACE, i);
-		rc = devmap_device_register(name, &disk[i].dev_handle);
+		rc = devmap_device_register(name, &disk[i].devmap_handle);
 		if (rc != EOK) {
 			devmap_hangup_phone(DEVMAP_DRIVER);
@@ -229,5 +229,5 @@
 	ipc_call_t call;
 	ipcarg_t method;
-	dev_handle_t dh;
+	devmap_handle_t dh;
 	int flags;
 	int retval;
@@ -242,5 +242,5 @@
 	disk_id = -1;
 	for (i = 0; i < MAX_DISKS; i++)
-		if (disk[i].dev_handle == dh)
+		if (disk[i].devmap_handle == dh)
 			disk_id = i;
 
Index: uspace/srv/bd/ata_bd/ata_bd.h
===================================================================
--- uspace/srv/bd/ata_bd/ata_bd.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/bd/ata_bd/ata_bd.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -287,5 +287,5 @@
 
 	fibril_mutex_t lock;
-	dev_handle_t dev_handle;
+	devmap_handle_t devmap_handle;
 } disk_t;
 
Index: uspace/srv/bd/file_bd/file_bd.c
===================================================================
--- uspace/srv/bd/file_bd/file_bd.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/bd/file_bd/file_bd.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -60,5 +60,5 @@
 static FILE *img;
 
-static dev_handle_t dev_handle;
+static devmap_handle_t devmap_handle;
 static fibril_mutex_t dev_lock;
 
@@ -82,5 +82,5 @@
 		return -1;
 
-	rc = devmap_device_register(argv[2], &dev_handle);
+	rc = devmap_device_register(argv[2], &devmap_handle);
 	if (rc != EOK) {
 		devmap_hangup_phone(DEVMAP_DRIVER);
Index: uspace/srv/bd/gxe_bd/gxe_bd.c
===================================================================
--- uspace/srv/bd/gxe_bd/gxe_bd.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/bd/gxe_bd/gxe_bd.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -93,5 +93,5 @@
 static gxe_bd_t *dev;
 
-static dev_handle_t dev_handle[MAX_DISKS];
+static devmap_handle_t devmap_handle[MAX_DISKS];
 
 static fibril_mutex_t dev_lock[MAX_DISKS];
@@ -143,5 +143,5 @@
 	for (i = 0; i < MAX_DISKS; i++) {
 		snprintf(name, 16, "%s/disk%d", NAMESPACE, i);
-		rc = devmap_device_register(name, &dev_handle[i]);
+		rc = devmap_device_register(name, &devmap_handle[i]);
 		if (rc != EOK) {
 			devmap_hangup_phone(DEVMAP_DRIVER);
@@ -161,5 +161,5 @@
 	ipc_call_t call;
 	ipcarg_t method;
-	dev_handle_t dh;
+	devmap_handle_t dh;
 	int flags;
 	int retval;
@@ -174,5 +174,5 @@
 	disk_id = -1;
 	for (i = 0; i < MAX_DISKS; i++)
-		if (dev_handle[i] == dh)
+		if (devmap_handle[i] == dh)
 			disk_id = i;
 
Index: uspace/srv/bd/part/guid_part/guid_part.c
===================================================================
--- uspace/srv/bd/part/guid_part/guid_part.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/bd/part/guid_part/guid_part.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -83,5 +83,5 @@
 	aoff64_t length;
 	/** Device representing the partition (outbound device) */
-	dev_handle_t dev;
+	devmap_handle_t dev;
 	/** Points to next partition structure. */
 	struct part *next;
@@ -91,5 +91,5 @@
 
 /** Partitioned device (inbound device) */
-static dev_handle_t indev_handle;
+static devmap_handle_t indev_handle;
 
 /** List of partitions. This structure is an empty head. */
@@ -130,5 +130,5 @@
 	int i;
 	char *name;
-	dev_handle_t dev;
+	devmap_handle_t dev;
 	uint64_t size_mb;
 	part_t *part;
@@ -316,5 +316,5 @@
 	ipc_call_t call;
 	ipcarg_t method;
-	dev_handle_t dh;
+	devmap_handle_t dh;
 	int flags;
 	int retval;
Index: uspace/srv/bd/part/mbr_part/mbr_part.c
===================================================================
--- uspace/srv/bd/part/mbr_part/mbr_part.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/bd/part/mbr_part/mbr_part.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -101,5 +101,5 @@
 	aoff64_t length;
 	/** Device representing the partition (outbound device) */
-	dev_handle_t dev;
+	devmap_handle_t dev;
 	/** Points to next partition structure. */
 	struct part *next;
@@ -142,5 +142,5 @@
 
 /** Partitioned device (inbound device) */
-static dev_handle_t indev_handle;
+static devmap_handle_t indev_handle;
 
 /** List of partitions. This structure is an empty head. */
@@ -181,5 +181,5 @@
 	int i;
 	char *name;
-	dev_handle_t dev;
+	devmap_handle_t dev;
 	uint64_t size_mb;
 	part_t *part;
@@ -394,5 +394,5 @@
 	ipc_call_t call;
 	ipcarg_t method;
-	dev_handle_t dh;
+	devmap_handle_t dh;
 	int flags;
 	int retval;
Index: uspace/srv/bd/rd/rd.c
===================================================================
--- uspace/srv/bd/rd/rd.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/bd/rd/rd.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -238,6 +238,6 @@
 	}
 	
-	dev_handle_t dev_handle;
-	if (devmap_device_register("bd/initrd", &dev_handle) != EOK) {
+	devmap_handle_t devmap_handle;
+	if (devmap_device_register("bd/initrd", &devmap_handle) != EOK) {
 		devmap_hangup_phone(DEVMAP_DRIVER);
 		printf("%s: Unable to register device\n", NAME);
Index: uspace/srv/devman/devman.c
===================================================================
--- uspace/srv/devman/devman.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/devman/devman.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -52,5 +52,5 @@
 {
 	node_t *dev = hash_table_get_instance(item, node_t, devman_link);
-	return (dev->handle == (device_handle_t) key[0]);
+	return (dev->handle == (devman_handle_t) key[0]);
 }
 
@@ -59,5 +59,5 @@
 {
 	node_t *dev = hash_table_get_instance(item, node_t, devmap_link);
-	return (dev->devmap_handle == (dev_handle_t) key[0]);
+	return (dev->devmap_handle == (devmap_handle_t) key[0]);
 }
 
@@ -782,5 +782,5 @@
  * @return		The device node.
  */
-node_t *find_dev_node_no_lock(dev_tree_t *tree, device_handle_t handle)
+node_t *find_dev_node_no_lock(dev_tree_t *tree, devman_handle_t handle)
 {
 	unsigned long key = handle;
@@ -795,5 +795,5 @@
  * @return		The device node.
  */
-node_t *find_dev_node(dev_tree_t *tree, device_handle_t handle)
+node_t *find_dev_node(dev_tree_t *tree, devman_handle_t handle)
 {
 	node_t *node = NULL;
@@ -1106,5 +1106,5 @@
 /* Devmap devices */
 
-node_t *find_devmap_tree_device(dev_tree_t *tree, dev_handle_t devmap_handle)
+node_t *find_devmap_tree_device(dev_tree_t *tree, devmap_handle_t devmap_handle)
 {
 	node_t *dev = NULL;
@@ -1122,5 +1122,5 @@
 
 node_t *find_devmap_class_device(class_list_t *classes,
-    dev_handle_t devmap_handle)
+    devmap_handle_t devmap_handle)
 {
 	node_t *dev = NULL;
Index: uspace/srv/devman/devman.h
===================================================================
--- uspace/srv/devman/devman.h	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/devman/devman.h	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -121,5 +121,5 @@
 struct node {
 	/** The global unique identifier of the device. */
-	device_handle_t handle;
+	devman_handle_t handle;
 	/** The name of the device specified by its parent. */
 	char *name;
@@ -157,5 +157,5 @@
 	link_t classes;
 	/** Devmap handle if the device is registered by devmapper. */
-	dev_handle_t devmap_handle;
+	devmap_handle_t devmap_handle;
 	
 	/**
@@ -179,5 +179,5 @@
 	 * manner.
 	 */
-	device_handle_t current_handle;
+	devman_handle_t current_handle;
 	
 	/** Synchronize access to the device tree. */
@@ -248,5 +248,5 @@
 	char *dev_name;
 	/** The handle of the device by device mapper in the class namespace. */
-	dev_handle_t devmap_handle;
+	devmap_handle_t devmap_handle;
 	
 	/**
@@ -309,6 +309,6 @@
 extern void delete_dev_node(node_t *node);
 extern node_t *find_dev_node_no_lock(dev_tree_t *tree,
-    device_handle_t handle);
-extern node_t *find_dev_node(dev_tree_t *tree, device_handle_t handle);
+    devman_handle_t handle);
+extern node_t *find_dev_node(dev_tree_t *tree, devman_handle_t handle);
 extern node_t *find_dev_node_by_path(dev_tree_t *, char *);
 extern node_t *find_node_child(node_t *, const char *);
@@ -337,6 +337,6 @@
 /* Devmap devices */
 
-extern node_t *find_devmap_tree_device(dev_tree_t *, dev_handle_t);
-extern node_t *find_devmap_class_device(class_list_t *, dev_handle_t);
+extern node_t *find_devmap_tree_device(dev_tree_t *, devmap_handle_t);
+extern node_t *find_devmap_class_device(class_list_t *, devmap_handle_t);
 
 extern void class_add_devmap_device(class_list_t *, dev_class_info_t *);
Index: uspace/srv/devman/main.c
===================================================================
--- uspace/srv/devman/main.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/devman/main.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -202,5 +202,5 @@
 static void devman_add_child(ipc_callid_t callid, ipc_call_t *call)
 {
-	device_handle_t parent_handle = IPC_GET_ARG1(*call);
+	devman_handle_t parent_handle = IPC_GET_ARG1(*call);
 	ipcarg_t match_count = IPC_GET_ARG2(*call);
 	dev_tree_t *tree = &device_tree;
@@ -271,5 +271,5 @@
 static void devman_add_device_to_class(ipc_callid_t callid, ipc_call_t *call)
 {
-	device_handle_t handle = IPC_GET_ARG1(*call);
+	devman_handle_t handle = IPC_GET_ARG1(*call);
 	
 	/* Get class name. */
@@ -414,5 +414,5 @@
     bool drv_to_parent)
 {
-	device_handle_t handle = IPC_GET_ARG2(*icall);
+	devman_handle_t handle = IPC_GET_ARG2(*icall);
 	
 	node_t *dev = find_dev_node(&device_tree, handle);
@@ -464,5 +464,5 @@
 static void devman_connection_devmapper(ipc_callid_t iid, ipc_call_t *icall)
 {
-	dev_handle_t devmap_handle = IPC_GET_METHOD(*icall);
+	devmap_handle_t devmap_handle = IPC_GET_METHOD(*icall);
 	node_t *dev;
 
Index: uspace/srv/devmap/devmap.c
===================================================================
--- uspace/srv/devmap/devmap.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/devmap/devmap.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -75,5 +75,5 @@
 	link_t namespaces;
 	/** Unique namespace identifier */
-	dev_handle_t handle;
+	devmap_handle_t handle;
 	/** Namespace name */
 	char *name;
@@ -92,5 +92,5 @@
 	link_t driver_devices;
 	/** Unique device identifier */
-	dev_handle_t handle;
+	devmap_handle_t handle;
 	/** Device namespace */
 	devmap_namespace_t *namespace;
@@ -118,8 +118,8 @@
 static FIBRIL_MUTEX_INITIALIZE(null_devices_mutex);
 
-static dev_handle_t last_handle = 0;
+static devmap_handle_t last_handle = 0;
 static devmap_device_t *null_devices[NULL_DEVICES];
 
-static dev_handle_t devmap_create_handle(void)
+static devmap_handle_t devmap_create_handle(void)
 {
 	/* TODO: allow reusing old handles after their unregistration
@@ -233,5 +233,5 @@
  *
  */
-static devmap_namespace_t *devmap_namespace_find_handle(dev_handle_t handle)
+static devmap_namespace_t *devmap_namespace_find_handle(devmap_handle_t handle)
 {
 	link_t *item;
@@ -275,5 +275,5 @@
  *
  */
-static devmap_device_t *devmap_device_find_handle(dev_handle_t handle)
+static devmap_device_t *devmap_device_find_handle(devmap_handle_t handle)
 {
 	link_t *item;
@@ -608,5 +608,5 @@
 	 * Get handle from request
 	 */
-	dev_handle_t handle = IPC_GET_ARG2(*call);
+	devmap_handle_t handle = IPC_GET_ARG2(*call);
 	devmap_device_t *dev = devmap_device_find_handle(handle);
 	
Index: uspace/srv/fs/devfs/devfs_ops.c
===================================================================
--- uspace/srv/fs/devfs/devfs_ops.c	(revision b4c9c61b6d2be7f3de7f313e31fc7ad751b286ba)
+++ uspace/srv/fs/devfs/devfs_ops.c	(revision fdbc3ff84ed86b1d20bebbe6c6235ecc5954f606)
@@ -54,10 +54,10 @@
 typedef struct {
 	devmap_handle_type_t type;
-	dev_handle_t handle;
+	devmap_handle_t handle;
 } devfs_node_t;
 
 /** Opened devices structure */
 typedef struct {
-	dev_handle_t handle;
+	devmap_handle_t handle;
 	int phone;
 	size_t refcount;
@@ -84,5 +84,5 @@
 {
 	device_t *dev = hash_table_get_instance(item, device_t, link);
-	return (dev->handle == (dev_handle_t) key[DEVICES_KEY_HANDLE]);
+	return (dev->handle == (devmap_handle_t) key[DEVICES_KEY_HANDLE]);
 }
 
@@ -99,5 +99,5 @@
 
 static int devfs_node_get_internal(fs_node_t **rfn, devmap_handle_type_t type,
-    dev_handle_t handle)
+    devmap_handle_t handle)
 {
 	devfs_node_t *node = (devfs_node_t *) malloc(sizeof(devfs_node_t));
@@ -122,5 +122,5 @@
 }
 
-static int devfs_root_get(fs_node_t **rfn, dev_handle_t dev_handle)
+static int devfs_root_get(fs_node_t **rfn, devmap_handle_t devmap_handle)
 {
 	return devfs_node_get_internal(rfn, DEV_HANDLE_NONE, 0);
@@ -154,5 +154,5 @@
 		
 		/* Search root namespace */
-		dev_handle_t namespace;
+		devmap_handle_t namespace;
 		if (devmap_namespace_get_handle("", &namespace, 0) == EOK) {
 			count = devmap_get_devices(namespace, &devs);
@@ -200,5 +200,5 @@
 }
 
-static int devfs_node_get(fs_node_t **rfn, dev_handle_t dev_handle, fs_index_t index)
+static int devfs_node_get(fs_node_t **rfn, devmap_handle_t devmap_handle, fs_index_t index)
 {
 	return devfs_node_get_internal(rfn, devmap_handle_probe(index), index);
@@ -269,5 +269,5 @@
 }
 
-static int devfs_create_node(fs_node_t **rfn, dev_handle_t dev_handle, int lflag)
+static int devfs_create_node(fs_node_t **rfn, devmap_handle_t devmap_handle, int lflag)
 {
 	assert((lflag & L_FILE) ^ (lflag & L_DIRECTORY));
@@ -304,5 +304,5 @@
 		
 		/* Root namespace */
-		dev_handle_t namespace;
+		devmap_handle_t namespace;
 		if (devmap_namespace_get_handle("", &namespace, 0) == EOK) {
 			count = devmap_count_devices(namespace);
@@ -372,5 +372,5 @@
 }
 
-static dev_handle_t devfs_device_get(fs_node_t *fn)
+static devmap_handle_t devfs_device_get(fs_node_t *fn)
 {
 	devfs_node_t *node = (devfs_node_t *) fn->data;
@@ -501,5 +501,5 @@
 		
 		/* Search root namespace */
-		dev_handle_t namespace;
+		devmap_handle_t namespace;
 		if (devmap_namespace_get_handle("", &namespace, 0) == EOK) {
 			count = devmap_get_devices(namespace, &desc);
